Name:           python-copyleaks
Version:        4.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Copyleaks API gives you access to a variety of plagiarism detection technologies to protect your online content. Get the most comprehensive plagiarism report for your content that is easy to use and integrate.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://api.copyleaks.com
Source:         %{pypi_source copyleaks}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'copyleaks' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-copyleaks
Summary:        %{summary}

%description -n python3-copyleaks %_description


%prep
%autosetup -p1 -n copyleaks-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-copyleaks -f %{pyproject_files}


%changelog
%autochangelog